# nedelements.h File Reference

`#include "nedelement.h"`

Go to the source code of this file.

## Classes

class | NedFilesNode
| GENERATED CLASS. More...
class | NedFileNode
| GENERATED CLASS. More...
class | ImportNode
| GENERATED CLASS. More...
class | ImportedFileNode
| GENERATED CLASS. More...
class | ChannelNode
| GENERATED CLASS. More...
class | ChannelAttrNode
| GENERATED CLASS. More...
class | NetworkNode
| GENERATED CLASS. More...
class | SimpleModuleNode
| GENERATED CLASS. More...
class | CompoundModuleNode
| GENERATED CLASS. More...
class | ParamsNode
| GENERATED CLASS. More...
class | ParamNode
| GENERATED CLASS. More...
class | GatesNode
| GENERATED CLASS. More...
class | GateNode
| GENERATED CLASS. More...
class | MachinesNode
| GENERATED CLASS. More...
class | MachineNode
| GENERATED CLASS. More...
class | SubmodulesNode
| GENERATED CLASS. More...
class | SubmoduleNode
| GENERATED CLASS. More...
class | SubstparamsNode
| GENERATED CLASS. More...
class | SubstparamNode
| GENERATED CLASS. More...
class | GatesizesNode
| GENERATED CLASS. More...
class | GatesizeNode
| GENERATED CLASS. More...
class | SubstmachinesNode
| GENERATED CLASS. More...
class | SubstmachineNode
| GENERATED CLASS. More...
class | ConnectionsNode
| GENERATED CLASS. More...
class | ConnectionNode
| GENERATED CLASS. More...
class | ConnAttrNode
| GENERATED CLASS. More...
class | ForLoopNode
| GENERATED CLASS. More...
class | LoopVarNode
| GENERATED CLASS. More...
class | DisplayStringNode
| GENERATED CLASS. More...
class | ExpressionNode
| GENERATED CLASS. More...
class | OperatorNode
| GENERATED CLASS. More...
class | FunctionNode
| GENERATED CLASS. More...
class | ParamRefNode
| GENERATED CLASS. More...
class | IdentNode
| GENERATED CLASS. More...
class | ConstNode
| GENERATED CLASS. More...
class | CplusplusNode
| GENERATED CLASS. More...
class | StructDeclNode
| GENERATED CLASS. More...
class | ClassDeclNode
| GENERATED CLASS. More...
class | MessageDeclNode
| GENERATED CLASS. More...
class | EnumDeclNode
| GENERATED CLASS. More...
class | EnumNode
| GENERATED CLASS. More...
class | EnumFieldsNode
| GENERATED CLASS. More...
class | EnumFieldNode
| GENERATED CLASS. More...
class | MessageNode
| GENERATED CLASS. More...
class | ClassNode
| GENERATED CLASS. More...
class | StructNode
| GENERATED CLASS. More...
class | FieldsNode
| GENERATED CLASS. More...
class | FieldNode
| GENERATED CLASS. More...
class | PropertiesNode
| GENERATED CLASS. More...
class | PropertyNode
| GENERATED CLASS. More...
class | UnknownNode
| GENERATED CLASS. More...
class | NEDElementFactory
| GENERATED CLASS. More...

## Enumerations

enum

NEDElementCode {
NED_NED_FILES, NED_NED_FILE, NED_IMPORT, NED_IMPORTED_FILE,
NED_CHANNEL, NED_CHANNEL_ATTR, NED_NETWORK, NED_SIMPLE_MODULE,
NED_COMPOUND_MODULE, NED_PARAMS, NED_PARAM, NED_GATES,
NED_GATE, NED_MACHINES, NED_MACHINE, NED_SUBMODULES,
NED_SUBMODULE, NED_SUBSTPARAMS, NED_SUBSTPARAM, NED_GATESIZES,
NED_GATESIZE, NED_SUBSTMACHINES, NED_SUBSTMACHINE, NED_CONNECTIONS,
NED_CONNECTION, NED_CONN_ATTR, NED_FOR_LOOP, NED_LOOP_VAR,
NED_DISPLAY_STRING, NED_EXPRESSION, NED_OPERATOR, NED_FUNCTION,
NED_PARAM_REF, NED_IDENT, NED_CONST, NED_CPLUSPLUS,
NED_STRUCT_DECL, NED_CLASS_DECL, NED_MESSAGE_DECL, NED_ENUM_DECL,
NED_ENUM, NED_ENUM_FIELDS, NED_ENUM_FIELD, NED_MESSAGE,
NED_CLASS, NED_STRUCT, NED_FIELDS, NED_FIELD,
NED_PROPERTIES, NED_PROPERTY, NED_UNKNOWN
}

enum | { NED_GATEDIR_INPUT, NED_GATEDIR_OUTPUT }
enum | { NED_ARROWDIR_LEFT, NED_ARROWDIR_RIGHT }
enum | { NED_CONST_BOOL, NED_CONST_INT, NED_CONST_REAL, NED_CONST_STRING, NED_CONST_TIME }

## Enumeration Type Documentation

anonymous enum

Enumerator:

  NED_GATEDIR_INPUT |
  NED_GATEDIR_OUTPUT |

anonymous enum

Enumerator:

  NED_ARROWDIR_LEFT |
  NED_ARROWDIR_RIGHT |

anonymous enum

Enumerator:

  NED_CONST_BOOL |
  NED_CONST_INT |
  NED_CONST_REAL |
  NED_CONST_STRING |
  NED_CONST_TIME |